SIG2DOT(1)

NAME
sig2dot - creates a .dot file from a GPG signature listing

SYNOPSIS
sig2dot [OPTIONS] < input-file > output-file

DESCRIPTION
This manual page documents briefly the sig2dot command. Sig2dot parses the output of "gpg --list-sigs" and produces a .dot file that can be used as input to a graphing program.

OPTIONS
sig2dot accepts the following options:

-b  Black and white / do not colorize.

-d <date>
    Render graph as it appeared on <date> (ignores more recent signatures). Date must be in the format "YYYY-MM-DD". Will also ignore keys that have since been revoked.

-s <html-file-name>
    Produces a sory HTML statistics file with the number of signatures per node.

-a  Graph all keys, even if they do not have a signature

-r <key-revoked-string>
    Sets the text for the key-revoked string used by GnuPG. The default is what is used in the English version. This parameter can be set for versions of GnuPG localized to other languages. Default: "[revoked".

-t <title>
    Sets the title for the graph generated. Default: "Keyring Statistics".

-u <user-not-found-string>
    Sets the text for the user-not-found string used by GnuPG. The default is what is used in the English version. This parameter can be set for versions of GnuPG localized to other languages. Default: "[user id not found]".

-q  Be quiet.

-h  Print help and exit.

-v  Print version and exit.

EXAMPLE
gpg --list-sigs | sig2dot > sigs.dot

springgraph < sigs.dot > sigs.png

SEE ALSO
springgraph(1) gnupg(1)

AUTHORS
Darxus@ChaosReigns.com with modifications by Kevin Rosenberg. Versions 0.35 and later are by Christoph Berg <cb@df7cb.de>. This manual page was written by Kevin M. Rosenberg <kmr@debian.org>, for the Debian GNU/Linux system (but may be used by others).